import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as AlertComponent } from '../lib/messages/alert';
declare const meta: {
    component: typeof AlertComponent;
    title: string;
    tags: string[];
    argTypes: {
        variant: {
            options: string[];
            control: "radio";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Alert: Story;
