import { Meta, StoryObj } from '@storybook/react';
import { default as BigNumberField } from '../lib/form/bignumber-field';
import { IPreviewArgs } from './utils';
declare const meta: Meta<typeof BigNumberField>;
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Default: Story;
export declare const WithLabel: Story;
export declare const WithMinMax: Story;
export declare const WithLargeNumbers: Story;
export declare const WithFormatting: Story;
export declare const WithCustomFormatting: Story;
export declare const WithStep: Story;
export declare const WithIcon: Story;
export declare const Success: Story;
export declare const Warning: Story;
export declare const Error: Story;
export declare const Info: Story;
export declare const Disabled: Story;
export declare const ReadOnly: Story;
