import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as BreadcrumbComponent } from '../lib/breadcrumb';
declare const meta: {
    component: typeof BreadcrumbComponent;
    title: string;
    tags: string[];
    argTypes: {
        variant: {
            options: string[];
            control: {
                type: "radio";
            };
        };
        clickable: {
            control: "boolean";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Breadcrumb: Story;
