import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as CardComponent } from '../lib/container/card';
declare const meta: {
    component: typeof CardComponent;
    title: string;
    tags: string[];
    argTypes: {
        hover: {
            control: "boolean";
        };
        round: {
            control: "boolean";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Card: Story;
