import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as Pagination } from '../lib/pagination/compact';
declare const meta: {
    component: typeof Pagination;
    title: string;
    tags: string[];
    argTypes: {
        numPages: {
            control: "number";
        };
        currentPage: {
            control: "number";
        };
        className: {
            control: "text";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const CompactPagination: Story;
export declare const CompactPaginationWithCloseCallback: Story;
