import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as LinearComponent } from '../lib/progress/linear';
declare const meta: {
    component: typeof LinearComponent;
    title: string;
    tags: string[];
    argTypes: {
        value: {
            control: "number";
        };
        minValue: {
            control: "number";
        };
        maxValue: {
            control: "number";
        };
        width: {
            control: "number";
        };
        animated: {
            control: "boolean";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Default: Story;
export declare const NonAnimated: Story;
export declare const WithTimerLabel: Story;
