import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as RadioGroup } from '../lib/form/radio-group';
declare const meta: {
    component: typeof RadioGroup;
    title: string;
    tags: string[];
    argTypes: {
        small: {
            control: "boolean";
        };
        isDisabled: {
            control: "boolean";
        };
        isRequired: {
            control: "boolean";
        };
        isInvalid: {
            control: "boolean";
        };
        orientation: {
            options: string[];
            control: "radio";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Vertical: Story;
export declare const Horizontal: Story;
export declare const DisabledOptions: Story;
export declare const RequiredOptions: Story;
