import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as SliderComponent } from '../lib/form/slider';
declare const meta: {
    component: typeof SliderComponent;
    title: string;
    tags: string[];
    argTypes: {
        isDisabled: {
            control: "boolean";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Slider: Story;
export declare const FormattedValueSlider: Story;
