import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as TextFieldComponent } from '../lib/form/text-field';
declare const meta: {
    component: typeof TextFieldComponent;
    title: string;
    tags: string[];
    argTypes: {
        variant: {
            options: string[];
            control: "radio";
        };
        isRequired: {
            control: "boolean";
        };
        isDisabled: {
            control: "boolean";
        };
        message: {
            control: "text";
        };
        label: {
            control: "text";
        };
        placeholder: {
            control: "text";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Default: Story;
export declare const Variant: Story;
export declare const CustomIcon: Story;
export declare const Labelled: Story;
export declare const WithDescription: Story;
export declare const Required: Story;
