import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as TooltipComponent } from '../lib/tooltip';
declare const meta: {
    component: typeof TooltipComponent;
    title: string;
    tags: string[];
    argTypes: {
        place: {
            options: string[];
            control: "radio";
        };
        small: {
            control: "boolean";
        };
        isDisabled: {
            control: "boolean";
        };
        delay: {
            control: "number";
        };
        closeDelay: {
            control: "boolean";
        };
        className: {
            control: "text";
        };
        isOpen: {
            control: "boolean";
        };
        defaultOpen: {
            control: "boolean";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Tooltip: Story;
export declare const OpenTooltip: Story;
