import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as Button } from '../lib/button/index';
declare const meta: {
    component: typeof Button;
    title: string;
    tags: string[];
    argTypes: {
        variant: {
            options: string[];
            control: {
                type: "radio";
            };
        };
        isDisabled: {
            control: "boolean";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const PrimaryButton: Story;
export declare const SecondaryButton: Story;
export declare const TertiaryButton: Story;
export declare const IconButton: Story;
export declare const LoadingButton: Story;
