import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as CircularComponent } from '../lib/progress/circular';
declare const meta: {
    component: typeof CircularComponent;
    title: string;
    tags: string[];
    argTypes: {
        value: {
            control: "number";
        };
        minValue: {
            control: "number";
        };
        maxValue: {
            control: "number";
        };
        animated: {
            control: "boolean";
        };
        small: {
            control: "boolean";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Default: Story;
export declare const Completed: Story;
export declare const Small: Story;
export declare const NonAnimated: Story;
