import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as CopiableComponent } from '../lib/copiable';
declare const meta: {
    component: typeof CopiableComponent;
    title: string;
    tags: string[];
    argTypes: {
        iconPlacement: {
            options: string[];
            control: "radio";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Copiable: Story;
export declare const LeftAlignedCopiable: Story;
