import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as DatepickerComponent } from '../lib/form/datepicker';
declare const meta: {
    component: typeof DatepickerComponent;
    title: string;
    tags: string[];
    argTypes: {
        time: {
            control: "boolean";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Datepicker: Story;
export declare const DatepickerWithTime: Story;
export declare const DatepickerWithMinDate: Story;
