import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as DropdownCascaderComponent } from '../lib/dropdown/cascader';
declare const meta: {
    component: typeof DropdownCascaderComponent;
    title: string;
    tags: string[];
    argTypes: {
        isRequired: {
            control: "boolean";
        };
        isDisabled: {
            control: "boolean";
        };
        label: {
            control: "text";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const DropdownCascader: Story;
export declare const DefaultValueSelected: Story;
export declare const DisabledKeysSelect: Story;
export declare const RequiredSelect: Story;
