import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as SelectComponent } from '../lib/dropdown/select';
declare const meta: {
    component: typeof SelectComponent;
    title: string;
    tags: string[];
    argTypes: {
        smallButton: {
            control: "boolean";
        };
        simpleButton: {
            control: "boolean";
        };
        isRequired: {
            control: "boolean";
        };
        isDisabled: {
            control: "boolean";
        };
        label: {
            control: "text";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Select: Story;
export declare const DefaultValueSelect: Story;
export declare const SimpleSelect: Story;
export declare const SmallSimpleSelect: Story;
export declare const DisabledKeysSelect: Story;
export declare const RequiredSelect: Story;
