import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as FileUploaderComponent } from '../lib/form/file-uploader';
declare const meta: {
    component: typeof FileUploaderComponent;
    title: string;
    tags: string[];
    argTypes: {
        variant: {
            options: string[];
            control: "radio";
        };
        isDisabled: {
            control: "boolean";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const FileUploader: Story;
export declare const FileUploaderWithMessage: Story;
export declare const FileUploaderVariant: Story;
export declare const FileUploaderWithAcceptedTypes: Story;
