import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as SearchbarComponent } from '../lib/form/searchbar';
declare const meta: {
    component: typeof SearchbarComponent;
    title: string;
    tags: string[];
    argTypes: {
        isRequired: {
            control: "boolean";
        };
        isDisabled: {
            control: "boolean";
        };
        label: {
            control: "text";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Default: Story;
export declare const Labelled: Story;
export declare const Required: Story;
