import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as Pagination } from '../lib/pagination/standard';
declare const meta: {
    component: typeof Pagination;
    title: string;
    tags: string[];
    argTypes: {
        numPages: {
            control: "number";
        };
        currentPage: {
            control: "number";
        };
        className: {
            control: "text";
        };
        disableNumbers: {
            control: "boolean";
        };
        hideNumbers: {
            control: "boolean";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const StandardPagination: Story;
