import { StoryObj } from '@storybook/react';
import { IPreviewArgs } from './utils';
import { default as StepComponent } from '../lib/progress/steps';
declare const meta: {
    component: typeof StepComponent;
    title: string;
    tags: string[];
    argTypes: {
        horizontal: {
            control: "boolean";
        };
        currentItemIndex: {
            control: "number";
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta> & IPreviewArgs;
export declare const Default: Story;
export declare const VerticalOrientation: Story;
export declare const SubItems: Story;
